Bug 1219743 - contain legal restrictive code
Summary: contain legal restrictive code
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: netpbm
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2015-05-08 06:08 UTC by mejiko
Modified: 2016-12-13 14:35 UTC (History)
3 users (show)

Fixed In Version: 10.71.02-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-07 08:47:09 UTC


Attachments (Terms of Use)

Description mejiko 2015-05-08 06:08:19 UTC
Hello.

This packages contain legal restrictive (copyright law) code.


copyright status URI:

http://sourceforge.net/p/netpbm/code/HEAD/tree/stable/doc/copyright_summary


This content contain that package.

FileList:

"/usr/share/doc/netpbm/copyright_summary"


Debian is already fixed.

I suggest that delete legal restrictive code.


Thanks.

Comment 1 mejiko 2015-05-08 06:08:56 UTC
Blocking FE-Legal, This is copyright problem.

Comment 2 Jan Kurik 2015-07-15 14:11:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 mejiko 2015-08-05 09:10:18 UTC
How it this bug current status ? 
Is this bug is resolved ?

Thanks.

Comment 4 Petr Hracek 2015-08-05 12:04:49 UTC
Nowadays it is not solved.
Hopefully next week I will have a time.

It is a one line patch, though

Comment 5 Petr Hracek 2015-08-06 14:29:09 UTC
I have no problem to remove it from package, but it contains lines with licenses to each utility/program.

Current main licenses in SPEC file are:
-BSD
-GPLv2
-IJG
-MIT
-Public Domain

I hope that this covers all programs.

Comment 7 Fedora Update System 2015-08-07 09:22:30 UTC
netpbm-10.66.02-7.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/netpbm-10.66.02-7.fc23

Comment 8 Fedora Update System 2015-08-11 11:11:30 UTC
netpbm-10.71.02-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/netpbm-10.71.02-1.fc23

Comment 9 Fedora Update System 2015-09-01 03:37:06 UTC
netpbm-10.71.02-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Michael Cronenworth 2016-12-13 14:34:20 UTC
Sorry, but how was this a problem? The "copyright_summary" file describes how each part of netpbm is licensed.

Debian ships the same exact file, named "copyright", in its package. I can find no mention in the Debian bug tracker or Google that shows they had an issue with this file.

Please add this file back to the package. I'll open a new bug report if you like.


Note You need to log in before you can comment on or make changes to this bug.